Ticket #19155: patch-qalculate-kde_0.9.6_macports.diff

File patch-qalculate-kde_0.9.6_macports.diff, 49.2 KB (added by jjstickel@…, 15 years ago)
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/Makefile.in qalculate-kde-0.9.6_patched/Makefile.in
    old new  
    9999CC = @CC@
    100100CCDEPMODE = @CCDEPMODE@
    101101CFLAGS = @CFLAGS@
    102 CLN_CONFIG = @CLN_CONFIG@
    103 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    104 CLN_LIBS = @CLN_LIBS@
    105102CONF_FILES = @CONF_FILES@
    106103CPP = @CPP@
    107104CPPFLAGS = @CPPFLAGS@
     
    350347#>-     @for dep in $?; do \
    351348#>-       case '$(am__configure_deps)' in \
    352349#>-         *$$dep*) \
    353 #>-           echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
    354 #>-           cd $(srcdir) && $(AUTOMAKE) --gnu  \
     350#>-           echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
     351#>-           cd $(srcdir) && $(AUTOMAKE) --foreign  \
    355352#>-             && exit 0; \
    356353#>-           exit 1;; \
    357354#>-       esac; \
    358355#>-     done; \
    359 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
     356#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
    360357#>-     cd $(top_srcdir) && \
    361 #>-       $(AUTOMAKE) --gnu  Makefile
     358#>-       $(AUTOMAKE) --foreign  Makefile
    362359#>+ 14
    363360        @for dep in $?; do \
    364361          case '$(am__configure_deps)' in \
    365362            *$$dep*) \
    366               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
     363              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
    367364 (  \
    368               cd $(srcdir) && $(AUTOMAKE) --gnu  \
     365              cd $(srcdir) && $(AUTOMAKE) --foreign  \
    369366         ) || exit 1; echo ' cd $(top_srcdir) && perl admin/am_edit '; cd $(top_srcdir) && perl admin/am_edit && exit 0;  \
    370367              exit 1;; \
    371368          esac; \
    372369        done; \
    373         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
     370        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
    374371        cd $(top_srcdir) && \
    375           $(AUTOMAKE) --gnu  Makefile
     372          $(AUTOMAKE) --foreign  Makefile
    376373        cd $(top_srcdir) && perl admin/am_edit Makefile.in
    377374.PRECIOUS: Makefile
    378375Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    831828#>+ 7
    832829force-reedit:
    833830         \
    834               cd $(srcdir) && $(AUTOMAKE) --gnu  \
     831              cd $(srcdir) && $(AUTOMAKE) --foreign  \
    835832       
    836833        cd $(top_srcdir) && perl admin/am_edit Makefile.in
    837834
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/aclocal.m4 qalculate-kde-0.9.6_patched/aclocal.m4
    old new  
    1111# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
    1212# PARTICULAR PURPOSE.
    1313
    14 # Configure paths for the CLN library
    15 # Richard Kreckel 12/4/2000
    16 # borrowed from Christian Bauer
    17 # stolen from Sam Lantinga
    18 # stolen from Manish Singh
    19 # stolen back from Frank Belew
    20 # stolen from Manish Singh
    21 # Shamelessly stolen from Owen Taylor
    22 
    23 dnl AC_PATH_CLN([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
    24 dnl Test for installed CLN library, and define CLN_CPPFLAGS and CLN_LIBS
    25 dnl
    26 AC_DEFUN([AC_PATH_CLN],
    27 [dnl
    28 dnl Get the cppflags and libraries from the cln-config script
    29 dnl
    30 AC_ARG_WITH(cln-prefix,[  --with-cln-prefix=PFX   Prefix where CLN is installed (optional)],
    31             cln_config_prefix="$withval", cln_config_prefix="")
    32 AC_ARG_WITH(cln-exec-prefix,[  --with-cln-exec-prefix=PFX Exec prefix where CLN is installed (optional)],
    33             cln_config_exec_prefix="$withval", cln_config_exec_prefix="")
    34 AC_ARG_ENABLE(clntest, [  --disable-clntest       Do not try to compile and run a test CLN program],
    35               , enable_clntest=yes)
    36 
    37 if test x$cln_config_exec_prefix != x ; then
    38     cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
    39     if test x${CLN_CONFIG+set} != xset ; then
    40         CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
    41     fi
    42 fi
    43 if test x$cln_config_prefix != x ; then
    44     cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
    45     if test x${CLN_CONFIG+set} != xset ; then
    46         CLN_CONFIG=$cln_config_prefix/bin/cln-config
    47     fi
    48 fi
    49 
    50 AC_PATH_PROG(CLN_CONFIG, cln-config, no)
    51 cln_min_version=ifelse([$1], ,1.1.0,$1)
    52 AC_MSG_CHECKING(for CLN - version >= $cln_min_version)
    53 if test "$CLN_CONFIG" = "no" ; then
    54     AC_MSG_RESULT(no)
    55     echo "*** The cln-config script installed by CLN could not be found"
    56     echo "*** If CLN was installed in PREFIX, make sure PREFIX/bin is in"
    57     echo "*** your path, or set the CLN_CONFIG environment variable to the"
    58     echo "*** full path to cln-config."
    59     ifelse([$3], , :, [$3])
    60 else
    61 dnl Parse required version and the result of cln-config.
    62     cln_min_major_version=`echo $cln_min_version | \
    63             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    64     cln_min_minor_version=`echo $cln_min_version | \
    65             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    66     cln_min_micro_version=`echo $cln_min_version | \
    67             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    68     CLN_CPPFLAGS=`$CLN_CONFIG $cln_config_args --cppflags`
    69     CLN_LIBS=`$CLN_CONFIG $cln_config_args --libs`
    70     cln_config_version=`$CLN_CONFIG $cln_config_args --version`
    71     cln_config_major_version=`echo $cln_config_version | \
    72             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    73     cln_config_minor_version=`echo $cln_config_version | \
    74             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    75     cln_config_micro_version=`echo $cln_config_version | \
    76             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
    77 dnl Check if the installed CLN is sufficiently new according to cln-config.
    78     if test \( $cln_config_major_version -lt $cln_min_major_version \) -o \
    79             \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -lt $cln_min_minor_version \) -o \
    80             \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -eq $cln_min_minor_version -a $cln_config_micro_version -lt $cln_min_micro_version \); then
    81         echo -e "\n*** 'cln-config --version' returned $cln_config_major_version.$cln_config_minor_version.$cln_config_micro_version, but the minimum version"
    82         echo "*** of CLN required is $cln_min_major_version.$cln_min_minor_version.$cln_min_micro_version. If cln-config is correct, then it is"
    83         echo "*** best to upgrade to the required version."
    84         echo "*** If cln-config was wrong, set the environment variable CLN_CONFIG"
    85         echo "*** to point to the correct copy of cln-config, and remove the file"
    86         echo "*** config.cache before re-running configure."
    87         ifelse([$3], , :, [$3])
    88     else
    89 dnl The versions match so far.  Now do a sanity check: Does the result of cln-config
    90 dnl match the version of the headers and the version built into the library, too?
    91         no_cln=""
    92         if test "x$enable_clntest" = "xyes" ; then
    93             ac_save_CPPFLAGS="$CPPFLAGS"
    94             ac_save_LIBS="$LIBS"
    95             CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
    96             LIBS="$LIBS $CLN_LIBS"
    97             rm -f conf.clntest
    98             AC_TRY_RUN([
    99 #include <stdio.h>
    100 #include <string.h>
    101 #include <cln/version.h>
    102 
    103 /* we do not #include <stdlib.h> because autoconf in C++ mode inserts a
    104    prototype for exit() that conflicts with the one in stdlib.h */
    105 extern "C" int system(const char *);
    106 
    107 int main(void)
    108 {
    109     system("touch conf.clntest");
    110 
    111     if ((CL_VERSION_MAJOR != $cln_config_major_version) ||
    112         (CL_VERSION_MINOR != $cln_config_minor_version) ||
    113         (CL_VERSION_PATCHLEVEL != $cln_config_micro_version)) {
    114         printf("\n*** 'cln-config --version' returned %d.%d.%d, but the header file I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
    115         printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", CL_VERSION_MAJOR, CL_VERSION_MINOR, CL_VERSION_PATCHLEVEL);
    116         printf("*** is corrupted or you have specified some wrong -I compiler flags.\n");
    117         printf("*** Please inquire and consider reinstalling CLN.\n");
    118         return 1;
    119     }
    120     if ((cln::version_major != $cln_config_major_version) ||
    121         (cln::version_minor != $cln_config_minor_version) ||
    122         (cln::version_patchlevel != $cln_config_micro_version)) {
    123         printf("\n*** 'cln-config --version' returned %d.%d.%d, but the library I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
    124         printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", cln::version_major, cln::version_minor, cln::version_patchlevel);
    125         printf("*** is corrupted or you have specified some wrong -L compiler flags.\n");
    126         printf("*** Please inquire and consider reinstalling CLN.\n");
    127         return 1;
    128     }
    129     return 0;
    130 }
    131 ],, no_cln=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
    132             CPPFLAGS="$ac_save_CPPFLAGS"
    133             LIBS="$ac_save_LIBS"
    134         fi
    135         if test "x$no_cln" = x ; then
    136             AC_MSG_RESULT([yes, $cln_config_version])
    137             ifelse([$2], , :, [$2])
    138         else
    139             AC_MSG_RESULT(no)
    140             if test ! -f conf.clntest ; then
    141                 echo "*** Could not run CLN test program, checking why..."
    142                 CPPFLAGS="$CFLAGS $CLN_CPPFLAGS"
    143                 LIBS="$LIBS $CLN_LIBS"
    144                 AC_TRY_LINK([
    145 #include <stdio.h>
    146 #include <cln/version.h>
    147 ],              [ return 0; ],
    148                 [ echo "*** The test program compiled, but did not run. This usually means"
    149                   echo "*** that the run-time linker is not finding CLN or finding the wrong"
    150                   echo "*** version of CLN. If it is not finding CLN, you'll need to set your"
    151                   echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
    152                   echo "*** to the installed location. Also, make sure you have run ldconfig if that"
    153                   echo "*** is required on your system."],
    154                 [ echo "*** The test program failed to compile or link. See the file config.log for the"
    155                   echo "*** exact error that occured. This usually means CLN was incorrectly installed"
    156                   echo "*** or that you have moved CLN since it was installed. In the latter case, you"
    157                   echo "*** may want to edit the cln-config script: $CLN_CONFIG." ])
    158                 CPPFLAGS="$ac_save_CPPFLAGS"
    159                 LIBS="$ac_save_LIBS"
    160             fi
    161             CLN_CPPFLAGS=""
    162             CLN_LIBS=""
    163             ifelse([$3], , :, [$3])
    164         fi
    165     fi
    166 fi
    167 AC_SUBST(CLN_CPPFLAGS)
    168 AC_SUBST(CLN_LIBS)
    169 rm -f conf.clntest
    170 ])
    171 
    17214# pkg.m4 - Macros to locate and utilise pkg-config.            -*- Autoconf -*-
    17315#
    17416# Copyright © 2004 Scott James Remnant <scott@netsplit.com>.
     
    317159
    318160_PKG_TEXT
    319161
    320 To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.])],
     162To get pkg-config, see <http://pkg-config.freedesktop.org/>.])],
    321163                [$4])
    322164else
    323165        $1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/config.h.in qalculate-kde-0.9.6_patched/config.h.in
    old new  
    1818/* Define to 1 if you have the <inttypes.h> header file. */
    1919#undef HAVE_INTTYPES_H
    2020
    21 /* If CLN can be used */
    22 #undef HAVE_LIBCLN
    23 
    2421/* Define if you have libjpeg */
    2522#undef HAVE_LIBJPEG
    2623
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/configure qalculate-kde-0.9.6_patched/configure
    old new  
    10101010LIB_KSYCOCA
    10111011LIB_KFILE
    10121012LIB_KFM
    1013 CLN_CONFIG
    1014 CLN_CPPFLAGS
    1015 CLN_LIBS
    10161013PKG_CONFIG
    10171014QALCULATE_CFLAGS
    10181015QALCULATE_LIBS
     
    16481645  --disable-threading     disables threading even if libpthread found
    16491646  --disable-rpath         do not use the rpath feature of ld
    16501647  --disable-path-check    don't try to find out, where to install
    1651   --disable-clntest       Do not try to compile and run a test CLN program
    16521648
    16531649Optional Packages:
    16541650  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
     
    16641660  --with-qt-includes=DIR  where the Qt includes are.
    16651661  --with-qt-libraries=DIR where the Qt library is installed.
    16661662  --without-arts          build without aRts default=no
    1667   --with-cln-prefix=PFX   Prefix where CLN is installed (optional)
    1668   --with-cln-exec-prefix=PFX Exec prefix where CLN is installed (optional)
    16691663
    16701664Some influential environment variables:
    16711665  CC          C compiler command
     
    83888382  ;;
    83898383*-*-irix6*)
    83908384  # Find out which ABI we are using.
    8391   echo '#line 8391 "configure"' > conftest.$ac_ext
     8385  echo '#line 8385 "configure"' > conftest.$ac_ext
    83928386  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    83938387  (eval $ac_compile) 2>&5
    83948388  ac_status=$?
     
    1012910123   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1013010124   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1013110125   -e 's:$: $lt_compiler_flag:'`
    10132    (eval echo "\"\$as_me:10132: $lt_compile\"" >&5)
     10126   (eval echo "\"\$as_me:10126: $lt_compile\"" >&5)
    1013310127   (eval "$lt_compile" 2>conftest.err)
    1013410128   ac_status=$?
    1013510129   cat conftest.err >&5
    10136    echo "$as_me:10136: \$? = $ac_status" >&5
     10130   echo "$as_me:10130: \$? = $ac_status" >&5
    1013710131   if (exit $ac_status) && test -s "$ac_outfile"; then
    1013810132     # The compiler can only warn and ignore the option if not recognized
    1013910133     # So say no if there are warnings
     
    1036210356   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1036310357   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1036410358   -e 's:$: $lt_compiler_flag:'`
    10365    (eval echo "\"\$as_me:10365: $lt_compile\"" >&5)
     10359   (eval echo "\"\$as_me:10359: $lt_compile\"" >&5)
    1036610360   (eval "$lt_compile" 2>conftest.err)
    1036710361   ac_status=$?
    1036810362   cat conftest.err >&5
    10369    echo "$as_me:10369: \$? = $ac_status" >&5
     10363   echo "$as_me:10363: \$? = $ac_status" >&5
    1037010364   if (exit $ac_status) && test -s "$ac_outfile"; then
    1037110365     # The compiler can only warn and ignore the option if not recognized
    1037210366     # So say no if there are warnings
     
    1042910423   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1043010424   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1043110425   -e 's:$: $lt_compiler_flag:'`
    10432    (eval echo "\"\$as_me:10432: $lt_compile\"" >&5)
     10426   (eval echo "\"\$as_me:10426: $lt_compile\"" >&5)
    1043310427   (eval "$lt_compile" 2>out/conftest.err)
    1043410428   ac_status=$?
    1043510429   cat out/conftest.err >&5
    10436    echo "$as_me:10436: \$? = $ac_status" >&5
     10430   echo "$as_me:10430: \$? = $ac_status" >&5
    1043710431   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1043810432   then
    1043910433     # The compiler can only warn and ignore the option if not recognized
     
    1251512509  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1251612510  lt_status=$lt_dlunknown
    1251712511  cat > conftest.$ac_ext <<EOF
    12518 #line 12518 "configure"
     12512#line 12512 "configure"
    1251912513#include "confdefs.h"
    1252012514
    1252112515#if HAVE_DLFCN_H
     
    1261312607  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1261412608  lt_status=$lt_dlunknown
    1261512609  cat > conftest.$ac_ext <<EOF
    12616 #line 12616 "configure"
     12610#line 12610 "configure"
    1261712611#include "confdefs.h"
    1261812612
    1261912613#if HAVE_DLFCN_H
     
    1477414768   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1477514769   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477614770   -e 's:$: $lt_compiler_flag:'`
    14777    (eval echo "\"\$as_me:14777: $lt_compile\"" >&5)
     14771   (eval echo "\"\$as_me:14771: $lt_compile\"" >&5)
    1477814772   (eval "$lt_compile" 2>conftest.err)
    1477914773   ac_status=$?
    1478014774   cat conftest.err >&5
    14781    echo "$as_me:14781: \$? = $ac_status" >&5
     14775   echo "$as_me:14775: \$? = $ac_status" >&5
    1478214776   if (exit $ac_status) && test -s "$ac_outfile"; then
    1478314777     # The compiler can only warn and ignore the option if not recognized
    1478414778     # So say no if there are warnings
     
    1484114835   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1484214836   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1484314837   -e 's:$: $lt_compiler_flag:'`
    14844    (eval echo "\"\$as_me:14844: $lt_compile\"" >&5)
     14838   (eval echo "\"\$as_me:14838: $lt_compile\"" >&5)
    1484514839   (eval "$lt_compile" 2>out/conftest.err)
    1484614840   ac_status=$?
    1484714841   cat out/conftest.err >&5
    14848    echo "$as_me:14848: \$? = $ac_status" >&5
     14842   echo "$as_me:14842: \$? = $ac_status" >&5
    1484914843   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1485014844   then
    1485114845     # The compiler can only warn and ignore the option if not recognized
     
    1614416138  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1614516139  lt_status=$lt_dlunknown
    1614616140  cat > conftest.$ac_ext <<EOF
    16147 #line 16147 "configure"
     16141#line 16141 "configure"
    1614816142#include "confdefs.h"
    1614916143
    1615016144#if HAVE_DLFCN_H
     
    1624216236  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    1624316237  lt_status=$lt_dlunknown
    1624416238  cat > conftest.$ac_ext <<EOF
    16245 #line 16245 "configure"
     16239#line 16239 "configure"
    1624616240#include "confdefs.h"
    1624716241
    1624816242#if HAVE_DLFCN_H
     
    1706517059   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1706617060   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706717061   -e 's:$: $lt_compiler_flag:'`
    17068    (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
     17062   (eval echo "\"\$as_me:17062: $lt_compile\"" >&5)
    1706917063   (eval "$lt_compile" 2>conftest.err)
    1707017064   ac_status=$?
    1707117065   cat conftest.err >&5
    17072    echo "$as_me:17072: \$? = $ac_status" >&5
     17066   echo "$as_me:17066: \$? = $ac_status" >&5
    1707317067   if (exit $ac_status) && test -s "$ac_outfile"; then
    1707417068     # The compiler can only warn and ignore the option if not recognized
    1707517069     # So say no if there are warnings
     
    1713217126   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1713317127   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1713417128   -e 's:$: $lt_compiler_flag:'`
    17135    (eval echo "\"\$as_me:17135: $lt_compile\"" >&5)
     17129   (eval echo "\"\$as_me:17129: $lt_compile\"" >&5)
    1713617130   (eval "$lt_compile" 2>out/conftest.err)
    1713717131   ac_status=$?
    1713817132   cat out/conftest.err >&5
    17139    echo "$as_me:17139: \$? = $ac_status" >&5
     17133   echo "$as_me:17133: \$? = $ac_status" >&5
    1714017134   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1714117135   then
    1714217136     # The compiler can only warn and ignore the option if not recognized
     
    1910019094   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1910119095   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1910219096   -e 's:$: $lt_compiler_flag:'`
    19103    (eval echo "\"\$as_me:19103: $lt_compile\"" >&5)
     19097   (eval echo "\"\$as_me:19097: $lt_compile\"" >&5)
    1910419098   (eval "$lt_compile" 2>conftest.err)
    1910519099   ac_status=$?
    1910619100   cat conftest.err >&5
    19107    echo "$as_me:19107: \$? = $ac_status" >&5
     19101   echo "$as_me:19101: \$? = $ac_status" >&5
    1910819102   if (exit $ac_status) && test -s "$ac_outfile"; then
    1910919103     # The compiler can only warn and ignore the option if not recognized
    1911019104     # So say no if there are warnings
     
    1933319327   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1933419328   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1933519329   -e 's:$: $lt_compiler_flag:'`
    19336    (eval echo "\"\$as_me:19336: $lt_compile\"" >&5)
     19330   (eval echo "\"\$as_me:19330: $lt_compile\"" >&5)
    1933719331   (eval "$lt_compile" 2>conftest.err)
    1933819332   ac_status=$?
    1933919333   cat conftest.err >&5
    19340    echo "$as_me:19340: \$? = $ac_status" >&5
     19334   echo "$as_me:19334: \$? = $ac_status" >&5
    1934119335   if (exit $ac_status) && test -s "$ac_outfile"; then
    1934219336     # The compiler can only warn and ignore the option if not recognized
    1934319337     # So say no if there are warnings
     
    1940019394   -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    1940119395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1940219396   -e 's:$: $lt_compiler_flag:'`
    19403    (eval echo "\"\$as_me:19403: $lt_compile\"" >&5)
     19397   (eval echo "\"\$as_me:19397: $lt_compile\"" >&5)
    1940419398   (eval "$lt_compile" 2>out/conftest.err)
    1940519399   ac_status=$?
    1940619400   cat out/conftest.err >&5
    19407    echo "$as_me:19407: \$? = $ac_status" >&5
     19401   echo "$as_me:19401: \$? = $ac_status" >&5
    1940819402   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1940919403   then
    1941019404     # The compiler can only warn and ignore the option if not recognized
     
    2148621480  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    2148721481  lt_status=$lt_dlunknown
    2148821482  cat > conftest.$ac_ext <<EOF
    21489 #line 21489 "configure"
     21483#line 21483 "configure"
    2149021484#include "confdefs.h"
    2149121485
    2149221486#if HAVE_DLFCN_H
     
    2158421578  lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
    2158521579  lt_status=$lt_dlunknown
    2158621580  cat > conftest.$ac_ext <<EOF
    21587 #line 21587 "configure"
     21581#line 21581 "configure"
    2158821582#include "confdefs.h"
    2158921583
    2159021584#if HAVE_DLFCN_H
     
    3007430068do
    3007530069  for j in jpeglib.h;
    3007630070  do
    30077     echo "configure: 30077: $i/$j" >&5
     30071    echo "configure: 30071: $i/$j" >&5
    3007830072    if test -r "$i/$j"; then
    3007930073      echo "taking that" >&5
    3008030074      jpeg_incdir=$i
     
    3037230366do
    3037330367  for j in $kde_qt_header;
    3037430368  do
    30375     echo "configure: 30375: $i/$j" >&5
     30369    echo "configure: 30369: $i/$j" >&5
    3037630370    if test -r "$i/$j"; then
    3037730371      echo "taking that" >&5
    3037830372      qt_incdir=$i
     
    3120331197do
    3120431198  for j in $kde_check_header;
    3120531199  do
    31206     echo "configure: 31206: $i/$j" >&5
     31200    echo "configure: 31200: $i/$j" >&5
    3120731201    if test -r "$i/$j"; then
    3120831202      echo "taking that" >&5
    3120931203      kde_incdir=$i
     
    3123331227do
    3123431228  for j in $kde_check_lib;
    3123531229  do
    31236     echo "configure: 31236: $i/$j" >&5
     31230    echo "configure: 31230: $i/$j" >&5
    3123731231    if test -r "$i/$j"; then
    3123831232      echo "taking that" >&5
    3123931233      kde_libdir=$i
     
    3125131245do
    3125231246  for j in "kde3/plugins/designer/kdewidgets.la";
    3125331247  do
    31254     echo "configure: 31254: $i/$j" >&5
     31248    echo "configure: 31248: $i/$j" >&5
    3125531249    if test -r "$i/$j"; then
    3125631250      echo "taking that" >&5
    3125731251      kde_widgetdir=$i
     
    3277232766do
    3277332767  for j in apps/ksgmltools2/customization/kde-chunk.xsl;
    3277432768  do
    32775     echo "configure: 32775: $i/$j" >&5
     32769    echo "configure: 32769: $i/$j" >&5
    3277632770    if test -r "$i/$j"; then
    3277732771      echo "taking that" >&5
    3277832772      KDE_XSL_STYLESHEET=$i
     
    3328733281
    3328833282
    3328933283
    33290 # Check whether --with-cln-prefix was given.
    33291 if test "${with_cln_prefix+set}" = set; then
    33292   withval=$with_cln_prefix; cln_config_prefix="$withval"
    33293 else
    33294   cln_config_prefix=""
    33295 fi
    33296 
    33297 
    33298 # Check whether --with-cln-exec-prefix was given.
    33299 if test "${with_cln_exec_prefix+set}" = set; then
    33300   withval=$with_cln_exec_prefix; cln_config_exec_prefix="$withval"
    33301 else
    33302   cln_config_exec_prefix=""
    33303 fi
    33304 
    33305 # Check whether --enable-clntest was given.
    33306 if test "${enable_clntest+set}" = set; then
    33307   enableval=$enable_clntest;
    33308 else
    33309   enable_clntest=yes
    33310 fi
    33311 
    33312 
    33313 if test x$cln_config_exec_prefix != x ; then
    33314     cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
    33315     if test x${CLN_CONFIG+set} != xset ; then
    33316         CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
    33317     fi
    33318 fi
    33319 if test x$cln_config_prefix != x ; then
    33320     cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
    33321     if test x${CLN_CONFIG+set} != xset ; then
    33322         CLN_CONFIG=$cln_config_prefix/bin/cln-config
    33323     fi
    33324 fi
    33325 
    33326 # Extract the first word of "cln-config", so it can be a program name with args.
    33327 set dummy cln-config; ac_word=$2
    33328 { echo "$as_me:$LINENO: checking for $ac_word" >&5
    33329 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
    33330 if test "${ac_cv_path_CLN_CONFIG+set}" = set; then
    33331   echo $ECHO_N "(cached) $ECHO_C" >&6
    33332 else
    33333   case $CLN_CONFIG in
    33334   [\\/]* | ?:[\\/]*)
    33335   ac_cv_path_CLN_CONFIG="$CLN_CONFIG" # Let the user override the test with a path.
    33336   ;;
    33337   *)
    33338   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    33339 for as_dir in $PATH
    33340 do
    33341   IFS=$as_save_IFS
    33342   test -z "$as_dir" && as_dir=.
    33343   for ac_exec_ext in '' $ac_executable_extensions; do
    33344   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
    33345     ac_cv_path_CLN_CONFIG="$as_dir/$ac_word$ac_exec_ext"
    33346     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    33347     break 2
    33348   fi
    33349 done
    33350 done
    33351 IFS=$as_save_IFS
    33352 
    33353   test -z "$ac_cv_path_CLN_CONFIG" && ac_cv_path_CLN_CONFIG="no"
    33354   ;;
    33355 esac
    33356 fi
    33357 CLN_CONFIG=$ac_cv_path_CLN_CONFIG
    33358 if test -n "$CLN_CONFIG"; then
    33359   { echo "$as_me:$LINENO: result: $CLN_CONFIG" >&5
    33360 echo "${ECHO_T}$CLN_CONFIG" >&6; }
    33361 else
    33362   { echo "$as_me:$LINENO: result: no" >&5
    33363 echo "${ECHO_T}no" >&6; }
    33364 fi
    33365 
    33366 
    33367 cln_min_version=1.1.0
    33368 { echo "$as_me:$LINENO: checking for CLN - version >= $cln_min_version" >&5
    33369 echo $ECHO_N "checking for CLN - version >= $cln_min_version... $ECHO_C" >&6; }
    33370 if test "$CLN_CONFIG" = "no" ; then
    33371     { echo "$as_me:$LINENO: result: no" >&5
    33372 echo "${ECHO_T}no" >&6; }
    33373     echo "*** The cln-config script installed by CLN could not be found"
    33374     echo "*** If CLN was installed in PREFIX, make sure PREFIX/bin is in"
    33375     echo "*** your path, or set the CLN_CONFIG environment variable to the"
    33376     echo "*** full path to cln-config."
    33377     { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
    33378 echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
    33379    { (exit 1); exit 1; }; }
    33380 else
    33381     cln_min_major_version=`echo $cln_min_version | \
    33382             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
    33383     cln_min_minor_version=`echo $cln_min_version | \
    33384             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
    33385     cln_min_micro_version=`echo $cln_min_version | \
    33386             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
    33387     CLN_CPPFLAGS=`$CLN_CONFIG $cln_config_args --cppflags`
    33388     CLN_LIBS=`$CLN_CONFIG $cln_config_args --libs`
    33389     cln_config_version=`$CLN_CONFIG $cln_config_args --version`
    33390     cln_config_major_version=`echo $cln_config_version | \
    33391             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
    33392     cln_config_minor_version=`echo $cln_config_version | \
    33393             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
    33394     cln_config_micro_version=`echo $cln_config_version | \
    33395             sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
    33396     if test \( $cln_config_major_version -lt $cln_min_major_version \) -o \
    33397             \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -lt $cln_min_minor_version \) -o \
    33398             \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -eq $cln_min_minor_version -a $cln_config_micro_version -lt $cln_min_micro_version \); then
    33399         echo -e "\n*** 'cln-config --version' returned $cln_config_major_version.$cln_config_minor_version.$cln_config_micro_version, but the minimum version"
    33400         echo "*** of CLN required is $cln_min_major_version.$cln_min_minor_version.$cln_min_micro_version. If cln-config is correct, then it is"
    33401         echo "*** best to upgrade to the required version."
    33402         echo "*** If cln-config was wrong, set the environment variable CLN_CONFIG"
    33403         echo "*** to point to the correct copy of cln-config, and remove the file"
    33404         echo "*** config.cache before re-running configure."
    33405         { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
    33406 echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
    33407    { (exit 1); exit 1; }; }
    33408     else
    33409         no_cln=""
    33410         if test "x$enable_clntest" = "xyes" ; then
    33411             ac_save_CPPFLAGS="$CPPFLAGS"
    33412             ac_save_LIBS="$LIBS"
    33413             CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
    33414             LIBS="$LIBS $CLN_LIBS"
    33415             rm -f conf.clntest
    33416             if test "$cross_compiling" = yes; then
    33417   echo $ac_n "cross compiling; assumed OK... $ac_c"
    33418 else
    33419   cat >conftest.$ac_ext <<_ACEOF
    33420 /* confdefs.h.  */
    33421 _ACEOF
    33422 cat confdefs.h >>conftest.$ac_ext
    33423 cat >>conftest.$ac_ext <<_ACEOF
    33424 /* end confdefs.h.  */
    33425 
    33426 #include <stdio.h>
    33427 #include <string.h>
    33428 #include <cln/version.h>
    33429 
    33430 /* we do not #include <stdlib.h> because autoconf in C++ mode inserts a
    33431    prototype for exit() that conflicts with the one in stdlib.h */
    33432 extern "C" int system(const char *);
    33433 
    33434 int main(void)
    33435 {
    33436     system("touch conf.clntest");
    33437 
    33438     if ((CL_VERSION_MAJOR != $cln_config_major_version) ||
    33439         (CL_VERSION_MINOR != $cln_config_minor_version) ||
    33440         (CL_VERSION_PATCHLEVEL != $cln_config_micro_version)) {
    33441         printf("\n*** 'cln-config --version' returned %d.%d.%d, but the header file I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
    33442         printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", CL_VERSION_MAJOR, CL_VERSION_MINOR, CL_VERSION_PATCHLEVEL);
    33443         printf("*** is corrupted or you have specified some wrong -I compiler flags.\n");
    33444         printf("*** Please inquire and consider reinstalling CLN.\n");
    33445         return 1;
    33446     }
    33447     if ((cln::version_major != $cln_config_major_version) ||
    33448         (cln::version_minor != $cln_config_minor_version) ||
    33449         (cln::version_patchlevel != $cln_config_micro_version)) {
    33450         printf("\n*** 'cln-config --version' returned %d.%d.%d, but the library I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
    33451         printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", cln::version_major, cln::version_minor, cln::version_patchlevel);
    33452         printf("*** is corrupted or you have specified some wrong -L compiler flags.\n");
    33453         printf("*** Please inquire and consider reinstalling CLN.\n");
    33454         return 1;
    33455     }
    33456     return 0;
    33457 }
    33458 
    33459 _ACEOF
    33460 rm -f conftest$ac_exeext
    33461 if { (ac_try="$ac_link"
    33462 case "(($ac_try" in
    33463   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    33464   *) ac_try_echo=$ac_try;;
    33465 esac
    33466 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    33467   (eval "$ac_link") 2>&5
    33468   ac_status=$?
    33469   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33470   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    33471   { (case "(($ac_try" in
    33472   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    33473   *) ac_try_echo=$ac_try;;
    33474 esac
    33475 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    33476   (eval "$ac_try") 2>&5
    33477   ac_status=$?
    33478   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33479   (exit $ac_status); }; }; then
    33480   :
    33481 else
    33482   echo "$as_me: program exited with status $ac_status" >&5
    33483 echo "$as_me: failed program was:" >&5
    33484 sed 's/^/| /' conftest.$ac_ext >&5
    33485 
    33486 ( exit $ac_status )
    33487 no_cln=yes
    33488 fi
    33489 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    33490 fi
    33491 
    33492 
    33493             CPPFLAGS="$ac_save_CPPFLAGS"
    33494             LIBS="$ac_save_LIBS"
    33495         fi
    33496         if test "x$no_cln" = x ; then
    33497             { echo "$as_me:$LINENO: result: yes, $cln_config_version" >&5
    33498 echo "${ECHO_T}yes, $cln_config_version" >&6; }
    33499 
    33500         LIBS="$LIBS $CLN_LIBS"
    33501         CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
    33502 
    33503 cat >>confdefs.h <<\_ACEOF
    33504 #define HAVE_LIBCLN 1
    33505 _ACEOF
    33506 
    33507 
    33508         else
    33509             { echo "$as_me:$LINENO: result: no" >&5
    33510 echo "${ECHO_T}no" >&6; }
    33511             if test ! -f conf.clntest ; then
    33512                 echo "*** Could not run CLN test program, checking why..."
    33513                 CPPFLAGS="$CFLAGS $CLN_CPPFLAGS"
    33514                 LIBS="$LIBS $CLN_LIBS"
    33515                 cat >conftest.$ac_ext <<_ACEOF
    33516 /* confdefs.h.  */
    33517 _ACEOF
    33518 cat confdefs.h >>conftest.$ac_ext
    33519 cat >>conftest.$ac_ext <<_ACEOF
    33520 /* end confdefs.h.  */
    33521 
    33522 #include <stdio.h>
    33523 #include <cln/version.h>
    33524 
    33525 int
    33526 main ()
    33527 {
    33528  return 0;
    33529   ;
    33530   return 0;
    33531 }
    33532 _ACEOF
    33533 rm -f conftest.$ac_objext conftest$ac_exeext
    33534 if { (ac_try="$ac_link"
    33535 case "(($ac_try" in
    33536   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    33537   *) ac_try_echo=$ac_try;;
    33538 esac
    33539 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
    33540   (eval "$ac_link") 2>conftest.er1
    33541   ac_status=$?
    33542   grep -v '^ *+' conftest.er1 >conftest.err
    33543   rm -f conftest.er1
    33544   cat conftest.err >&5
    33545   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    33546   (exit $ac_status); } && {
    33547          test -z "$ac_cxx_werror_flag" ||
    33548          test ! -s conftest.err
    33549        } && test -s conftest$ac_exeext &&
    33550        $as_test_x conftest$ac_exeext; then
    33551    echo "*** The test program compiled, but did not run. This usually means"
    33552                   echo "*** that the run-time linker is not finding CLN or finding the wrong"
    33553                   echo "*** version of CLN. If it is not finding CLN, you'll need to set your"
    33554                   echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
    33555                   echo "*** to the installed location. Also, make sure you have run ldconfig if that"
    33556                   echo "*** is required on your system."
    33557 else
    33558   echo "$as_me: failed program was:" >&5
    33559 sed 's/^/| /' conftest.$ac_ext >&5
    33560 
    33561          echo "*** The test program failed to compile or link. See the file config.log for the"
    33562                   echo "*** exact error that occured. This usually means CLN was incorrectly installed"
    33563                   echo "*** or that you have moved CLN since it was installed. In the latter case, you"
    33564                   echo "*** may want to edit the cln-config script: $CLN_CONFIG."
    33565 fi
    33566 
    33567 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    33568       conftest$ac_exeext conftest.$ac_ext
    33569                 CPPFLAGS="$ac_save_CPPFLAGS"
    33570                 LIBS="$ac_save_LIBS"
    33571             fi
    33572             CLN_CPPFLAGS=""
    33573             CLN_LIBS=""
    33574             { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
    33575 echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
    33576    { (exit 1); exit 1; }; }
    33577         fi
    33578     fi
    33579 fi
    33580 
    33581 
    33582 rm -f conf.clntest
    33583 
    33584 
    33585 
    3358633284
    3358733285if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
    3358833286        if test -n "$ac_tool_prefix"; then
     
    3371333411    else
    3371433412        if test -n "$PKG_CONFIG" && \
    3371533413    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
    33716         libxml-2.0
    33717         glib-2.0
    3371833414        libqalculate >= 0.9.6
    3371933415        \"") >&5
    3372033416  ($PKG_CONFIG --exists --print-errors "
    33721         libxml-2.0
    33722         glib-2.0
    3372333417        libqalculate >= 0.9.6
    3372433418        ") 2>&5
    3372533419  ac_status=$?
    3372633420  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3372733421  (exit $ac_status); }; then
    3372833422  pkg_cv_QALCULATE_CFLAGS=`$PKG_CONFIG --cflags "
    33729         libxml-2.0
    33730         glib-2.0
    3373133423        libqalculate >= 0.9.6
    3373233424        " 2>/dev/null`
    3373333425else
     
    3374333435    else
    3374433436        if test -n "$PKG_CONFIG" && \
    3374533437    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"
    33746         libxml-2.0
    33747         glib-2.0
    3374833438        libqalculate >= 0.9.6
    3374933439        \"") >&5
    3375033440  ($PKG_CONFIG --exists --print-errors "
    33751         libxml-2.0
    33752         glib-2.0
    3375333441        libqalculate >= 0.9.6
    3375433442        ") 2>&5
    3375533443  ac_status=$?
    3375633444  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3375733445  (exit $ac_status); }; then
    3375833446  pkg_cv_QALCULATE_LIBS=`$PKG_CONFIG --libs "
    33759         libxml-2.0
    33760         glib-2.0
    3376133447        libqalculate >= 0.9.6
    3376233448        " 2>/dev/null`
    3376333449else
     
    3377933465fi
    3378033466        if test $_pkg_short_errors_supported = yes; then
    3378133467                QALCULATE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "
    33782         libxml-2.0
    33783         glib-2.0
    3378433468        libqalculate >= 0.9.6
    3378533469        "`
    3378633470        else
    3378733471                QALCULATE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "
    33788         libxml-2.0
    33789         glib-2.0
    3379033472        libqalculate >= 0.9.6
    3379133473        "`
    3379233474        fi
     
    3379433476        echo "$QALCULATE_PKG_ERRORS" >&5
    3379533477
    3379633478        { { echo "$as_me:$LINENO: error: Package requirements (
    33797         libxml-2.0
    33798         glib-2.0
    3379933479        libqalculate >= 0.9.6
    3380033480        ) were not met:
    3380133481
     
    3380933489See the pkg-config man page for more details.
    3381033490" >&5
    3381133491echo "$as_me: error: Package requirements (
    33812         libxml-2.0
    33813         glib-2.0
    3381433492        libqalculate >= 0.9.6
    3381533493        ) were not met:
    3381633494
     
    3383333511and QALCULATE_LIBS to avoid the need to call pkg-config.
    3383433512See the pkg-config man page for more details.
    3383533513
    33836 To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
     33514To get pkg-config, see <http://pkg-config.freedesktop.org/>.
    3383733515See \`config.log' for more details." >&5
    3383833516echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
    3383933517is in your PATH or set the PKG_CONFIG environment variable to the full
     
    3384333521and QALCULATE_LIBS to avoid the need to call pkg-config.
    3384433522See the pkg-config man page for more details.
    3384533523
    33846 To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
     33524To get pkg-config, see <http://pkg-config.freedesktop.org/>.
    3384733525See \`config.log' for more details." >&2;}
    3384833526   { (exit 1); exit 1; }; }
    3384933527else
     
    3385933537LIBS="$LIBS $QALCULATE_LIBS"
    3386033538CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
    3386133539CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
     33540CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
    3386233541
    3386333542
    3386433543
     
    3491634595LIB_KSYCOCA!$LIB_KSYCOCA$ac_delim
    3491734596LIB_KFILE!$LIB_KFILE$ac_delim
    3491834597LIB_KFM!$LIB_KFM$ac_delim
    34919 CLN_CONFIG!$CLN_CONFIG$ac_delim
    34920 CLN_CPPFLAGS!$CLN_CPPFLAGS$ac_delim
    34921 CLN_LIBS!$CLN_LIBS$ac_delim
    3492234598PKG_CONFIG!$PKG_CONFIG$ac_delim
    3492334599QALCULATE_CFLAGS!$QALCULATE_CFLAGS$ac_delim
    3492434600QALCULATE_LIBS!$QALCULATE_LIBS$ac_delim
     
    3492734603LTLIBOBJS!$LTLIBOBJS$ac_delim
    3492834604_ACEOF
    3492934605
    34930   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 57; then
     34606  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 54; then
    3493134607    break
    3493234608  elif $ac_last_try; then
    3493334609    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/configure.in qalculate-kde-0.9.6_patched/configure.in
    old new  
    7373
    7474AC_LANG([C++])
    7575
    76 AC_PATH_CLN(1.1.0, [
    77         LIBS="$LIBS $CLN_LIBS"
    78         CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
    79         AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
    80 ], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
    81 
    8276PKG_CHECK_MODULES(QALCULATE, [
    83         libxml-2.0
    84         glib-2.0
    8577        libqalculate >= 0.9.6
    8678        ])
    8779AC_SUBST(QALCULATE_CFLAGS)
     
    9082LIBS="$LIBS $QALCULATE_LIBS"
    9183CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
    9284CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
     85CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
    9386
    9487KDE_CREATE_SUBDIRSLIST
    9588AC_CONFIG_FILES([ Makefile ])
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/configure.in.in qalculate-kde-0.9.6_patched/configure.in.in
    old new  
    88
    99AC_LANG([C++])
    1010
    11 AC_PATH_CLN(1.1.0, [
    12         LIBS="$LIBS $CLN_LIBS"
    13         CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
    14         AC_DEFINE(HAVE_LIBCLN,1,[If CLN can be used])
    15 ], AC_MSG_ERROR([No suitable installed version of CLN could be found.]))
    16 
    1711PKG_CHECK_MODULES(QALCULATE, [
    18         libxml-2.0
    19         glib-2.0
    2012        libqalculate >= 0.9.6
    2113        ])
    2214AC_SUBST(QALCULATE_CFLAGS)
     
    2517LIBS="$LIBS $QALCULATE_LIBS"
    2618CFLAGS="$CFLAGS $QALCULATE_CFLAGS"
    2719CPPFLAGS="$CPPFLAGS $QALCULATE_CFLAGS"
     20CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS"
    2821
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/doc/Makefile.in qalculate-kde-0.9.6_patched/doc/Makefile.in
    old new  
    8585CC = @CC@
    8686CCDEPMODE = @CCDEPMODE@
    8787CFLAGS = @CFLAGS@
    88 CLN_CONFIG = @CLN_CONFIG@
    89 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    90 CLN_LIBS = @CLN_LIBS@
    9188CONF_FILES = @CONF_FILES@
    9289CPP = @CPP@
    9390CPPFLAGS = @CPPFLAGS@
     
    336333#>-           exit 1;; \
    337334#>-       esac; \
    338335#>-     done; \
    339 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
     336#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
    340337#>-     cd $(top_srcdir) && \
    341 #>-       $(AUTOMAKE) --gnu  doc/Makefile
     338#>-       $(AUTOMAKE) --foreign  doc/Makefile
    342339#>+ 12
    343340        @for dep in $?; do \
    344341          case '$(am__configure_deps)' in \
     
    348345              exit 1;; \
    349346          esac; \
    350347        done; \
    351         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
     348        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
    352349        cd $(top_srcdir) && \
    353           $(AUTOMAKE) --gnu  doc/Makefile
     350          $(AUTOMAKE) --foreign  doc/Makefile
    354351        cd $(top_srcdir) && perl admin/am_edit doc/Makefile.in
    355352.PRECIOUS: Makefile
    356353Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    669666              exit 1;; \
    670667          esac; \
    671668        done; \
    672         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
     669        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
    673670        cd $(top_srcdir) && \
    674           $(AUTOMAKE) --gnu  doc/Makefile
     671          $(AUTOMAKE) --foreign  doc/Makefile
    675672        cd $(top_srcdir) && perl admin/am_edit doc/Makefile.in
    676673
    677674
  • doc/en/Makefile.in

    diff -ur qalculate-kde-0.9.6/doc/en/Makefile.in qalculate-kde-0.9.6_patched/doc/en/Makefile.in
    old new  
    8585CC = @CC@
    8686CCDEPMODE = @CCDEPMODE@
    8787CFLAGS = @CFLAGS@
    88 CLN_CONFIG = @CLN_CONFIG@
    89 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    90 CLN_LIBS = @CLN_LIBS@
    9188CONF_FILES = @CONF_FILES@
    9289CPP = @CPP@
    9390CPPFLAGS = @CPPFLAGS@
     
    336333#>-           exit 1;; \
    337334#>-       esac; \
    338335#>-     done; \
    339 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
     336#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
    340337#>-     cd $(top_srcdir) && \
    341 #>-       $(AUTOMAKE) --gnu  doc/en/Makefile
     338#>-       $(AUTOMAKE) --foreign  doc/en/Makefile
    342339#>+ 12
    343340        @for dep in $?; do \
    344341          case '$(am__configure_deps)' in \
     
    348345              exit 1;; \
    349346          esac; \
    350347        done; \
    351         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
     348        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
    352349        cd $(top_srcdir) && \
    353           $(AUTOMAKE) --gnu  doc/en/Makefile
     350          $(AUTOMAKE) --foreign  doc/en/Makefile
    354351        cd $(top_srcdir) && perl admin/am_edit doc/en/Makefile.in
    355352.PRECIOUS: Makefile
    356353Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    669666              exit 1;; \
    670667          esac; \
    671668        done; \
    672         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/Makefile'; \
     669        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/Makefile'; \
    673670        cd $(top_srcdir) && \
    674           $(AUTOMAKE) --gnu  doc/en/Makefile
     671          $(AUTOMAKE) --foreign  doc/en/Makefile
    675672        cd $(top_srcdir) && perl admin/am_edit doc/en/Makefile.in
    676673
    677674
  • doc/en/qalculate_kde/Makefile.in

    diff -ur qalculate-kde-0.9.6/doc/en/qalculate_kde/Makefile.in qalculate-kde-0.9.6_patched/doc/en/qalculate_kde/Makefile.in
    old new  
    6666CC = @CC@
    6767CCDEPMODE = @CCDEPMODE@
    6868CFLAGS = @CFLAGS@
    69 CLN_CONFIG = @CLN_CONFIG@
    70 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    71 CLN_LIBS = @CLN_LIBS@
    7269CONF_FILES = @CONF_FILES@
    7370CPP = @CPP@
    7471CPPFLAGS = @CPPFLAGS@
     
    318315#>-           exit 1;; \
    319316#>-       esac; \
    320317#>-     done; \
    321 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
     318#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
    322319#>-     cd $(top_srcdir) && \
    323 #>-       $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
     320#>-       $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
    324321#>+ 12
    325322        @for dep in $?; do \
    326323          case '$(am__configure_deps)' in \
     
    330327              exit 1;; \
    331328          esac; \
    332329        done; \
    333         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
     330        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
    334331        cd $(top_srcdir) && \
    335           $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
     332          $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
    336333        cd $(top_srcdir) && perl admin/am_edit doc/en/qalculate_kde/Makefile.in
    337334.PRECIOUS: Makefile
    338335Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    503500docs-am: index.cache.bz2
    504501
    505502install-docs: docs-am install-nls
    506         $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
     503        $(mkinstalldirs) $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
    507504        @if test -f index.cache.bz2; then \
    508         echo $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
    509         $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
     505        echo $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
     506        $(INSTALL_DATA) index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
    510507        elif test -f  $(srcdir)/index.cache.bz2; then \
    511         echo $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
    512         $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/; \
     508        echo $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
     509        $(INSTALL_DATA) $(srcdir)/index.cache.bz2 $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/; \
    513510        fi
    514         -rm -f $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/common
    515         $(LN_S) $(kde_libs_htmldir)/$(KDE_LANG)/common $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/common
     511        -rm -f $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/common
     512        $(LN_S) $(kde_libs_htmldir)/$(KDE_LANG)/common $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/common
    516513
    517514uninstall-docs:
    518         -rm -rf $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
     515        -rm -rf $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
    519516
    520517clean-docs:
    521518        -rm -f index.cache.bz2
     
    523520
    524521#>+ 13
    525522install-nls:
    526         $(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde
     523        $(mkinstalldirs) $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde
    527524        @for base in functions.docbook gnuplot.png calculator-buttons.png unit-manager.png completion.png function-manager.png calculation-history.png edit-variable.png plot-data.png units.docbook variable-manager.png edit-unit.png variables.docbook insert-function.png rpn-mode.png plot-settings.png import-csv.png edit-matrix.png edit-function.png convert-unit.png index.docbook mainwindow.png store-variable.png convert-number-bases.png ; do \
    528           echo $(INSTALL_DATA) $$base $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
    529           $(INSTALL_DATA) $(srcdir)/$$base $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
     525          echo $(INSTALL_DATA) $$base $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
     526          $(INSTALL_DATA) $(srcdir)/$$base $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
    530527        done
    531528
    532529uninstall-nls:
    533530        for base in functions.docbook gnuplot.png calculator-buttons.png unit-manager.png completion.png function-manager.png calculation-history.png edit-variable.png plot-data.png units.docbook variable-manager.png edit-unit.png variables.docbook insert-function.png rpn-mode.png plot-settings.png import-csv.png edit-matrix.png edit-function.png convert-unit.png index.docbook mainwindow.png store-variable.png convert-number-bases.png ; do \
    534           rm -f $(DESTDIR)$(kde_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
     531          rm -f $(DESTDIR)$(kde_libs_htmldir)/$(KDE_LANG)/qalculate_kde/$$base ;\
    535532        done
    536533
    537534
     
    551548              exit 1;; \
    552549          esac; \
    553550        done; \
    554         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile'; \
     551        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile'; \
    555552        cd $(top_srcdir) && \
    556           $(AUTOMAKE) --gnu  doc/en/qalculate_kde/Makefile
     553          $(AUTOMAKE) --foreign  doc/en/qalculate_kde/Makefile
    557554        cd $(top_srcdir) && perl admin/am_edit doc/en/qalculate_kde/Makefile.in
    558555
    559556
  • qalculate-kde-0.9.

    Only in qalculate-kde-0.9.6_patched/doc/en/qalculate_kde: Makefile.in~
    diff -ur qalculate-kde-0.9.6/po/Makefile.in qalculate-kde-0.9.6_patched/po/Makefile.in
    old new  
    6868CC = @CC@
    6969CCDEPMODE = @CCDEPMODE@
    7070CFLAGS = @CFLAGS@
    71 CLN_CONFIG = @CLN_CONFIG@
    72 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    73 CLN_LIBS = @CLN_LIBS@
    7471CONF_FILES = @CONF_FILES@
    7572CPP = @CPP@
    7673CPPFLAGS = @CPPFLAGS@
     
    322319#>-           exit 1;; \
    323320#>-       esac; \
    324321#>-     done; \
    325 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
     322#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
    326323#>-     cd $(top_srcdir) && \
    327 #>-       $(AUTOMAKE) --gnu  po/Makefile
     324#>-       $(AUTOMAKE) --foreign  po/Makefile
    328325#>+ 12
    329326        @for dep in $?; do \
    330327          case '$(am__configure_deps)' in \
     
    334331              exit 1;; \
    335332          esac; \
    336333        done; \
    337         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
     334        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
    338335        cd $(top_srcdir) && \
    339           $(AUTOMAKE) --gnu  po/Makefile
     336          $(AUTOMAKE) --foreign  po/Makefile
    340337        cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
    341338.PRECIOUS: Makefile
    342339Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    564561              exit 1;; \
    565562          esac; \
    566563        done; \
    567         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  po/Makefile'; \
     564        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  po/Makefile'; \
    568565        cd $(top_srcdir) && \
    569           $(AUTOMAKE) --gnu  po/Makefile
     566          $(AUTOMAKE) --foreign  po/Makefile
    570567        cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
    571568
    572569
  • qalculate-kde-0.9.

    diff -ur qalculate-kde-0.9.6/src/Makefile.in qalculate-kde-0.9.6_patched/src/Makefile.in
    old new  
    176176CC = @CC@
    177177CCDEPMODE = @CCDEPMODE@
    178178CFLAGS = @CFLAGS@
    179 CLN_CONFIG = @CLN_CONFIG@
    180 CLN_CPPFLAGS = @CLN_CPPFLAGS@
    181 CLN_LIBS = @CLN_LIBS@
    182179CONF_FILES = @CONF_FILES@
    183180CPP = @CPP@
    184181CPPFLAGS = @CPPFLAGS@
     
    469466#>-           exit 1;; \
    470467#>-       esac; \
    471468#>-     done; \
    472 #>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
     469#>-     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
    473470#>-     cd $(top_srcdir) && \
    474 #>-       $(AUTOMAKE) --gnu  src/Makefile
     471#>-       $(AUTOMAKE) --foreign  src/Makefile
    475472#>+ 12
    476473        @for dep in $?; do \
    477474          case '$(am__configure_deps)' in \
     
    481478              exit 1;; \
    482479          esac; \
    483480        done; \
    484         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
     481        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
    485482        cd $(top_srcdir) && \
    486           $(AUTOMAKE) --gnu  src/Makefile
     483          $(AUTOMAKE) --foreign  src/Makefile
    487484        cd $(top_srcdir) && perl admin/am_edit src/Makefile.in
    488485.PRECIOUS: Makefile
    489486Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     
    10781075              exit 1;; \
    10791076          esac; \
    10801077        done; \
    1081         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
     1078        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
    10821079        cd $(top_srcdir) && \
    1083           $(AUTOMAKE) --gnu  src/Makefile
     1080          $(AUTOMAKE) --foreign  src/Makefile
    10841081        cd $(top_srcdir) && perl admin/am_edit src/Makefile.in
    10851082
    10861083